/* Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved. */ 

// clientUI.h : main header file for the clientUI application
//
#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resourceppc.h"

// CclientUIApp:
// See clientUI.cpp for the implementation of this class
//

class CclientUIApp : public CWinApp
{
public:
	CclientUIApp();
	virtual ~CclientUIApp();

// Overrides
public:
	virtual BOOL InitInstance();

// Implementation
public:
	DICOM_DBS dbs;                          // Bdb database handles.
	DB_ENV *env;                            // Bdb environment handles.

	DECLARE_MESSAGE_MAP()
	
	afx_msg void OnAppAbout();      // Click "About" on the menu.
	afx_msg void OnDatabaseSync();  // Click "Download" on the menu.
	afx_msg void OnViewerOpenall(); // Click "File" and "Open" on the menu.
	afx_msg void OnViewerSearch();  // Click "File" and "Find" on the menu.
	afx_msg void OnDatabaseEdit();  // Click "File" and "Edit" on the menu.
};

extern CclientUIApp theApp;
